NX Open C++ Reference Guide
|
Represents a Die::AddendumSectionUserDefinedBuilder builder used to select a previously defined section or a string of objects to define the section shape. More...
Public Member Functions | |
NXOpen::Curve * | CreateUserDefinedSection () |
Creates user defined addendum section based upon input to Die::AddendumSectionUserDefinedBuilder::Section . | |
bool | ReverseAnchorPoint () |
Returns the indicator to reverse the anchor point. | |
NXOpen::Section * | Section () |
Returns the objects defining the section, either a previously defined section or a string of objects defining the section shape. | |
void | SetReverseAnchorPoint (bool reverseAnchorPoint) |
Sets the indicator to reverse the anchor point. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Die::AddendumSectionUserDefinedBuilder builder used to select a previously defined section or a string of objects to define the section shape.
<br> To create a new instance of this class, use @link Die::DieCollection::CreateAddendumSectionUserDefinedBuilder Die::DieCollection::CreateAddendumSectionUserDefinedBuilder @endlink <br>
Created in NX7.5.0.
NXOpen::Curve* NXOpen::Die::AddendumSectionUserDefinedBuilder::CreateUserDefinedSection | ( | ) |
Creates user defined addendum section based upon input to Die::AddendumSectionUserDefinedBuilder::Section .
bool NXOpen::Die::AddendumSectionUserDefinedBuilder::ReverseAnchorPoint | ( | ) |
Returns the indicator to reverse the anchor point.
The anchor point is initially the first point of the joined string of selected objects. This is used as the starting point for the section when it is placed on the tangency curve. It can be reversed to use the other end of the string as the starting point.
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::Die::AddendumSectionUserDefinedBuilder::Section | ( | ) |
Returns the objects defining the section, either a previously defined section or a string of objects defining the section shape.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionUserDefinedBuilder::SetReverseAnchorPoint | ( | bool | reverseAnchorPoint | ) |
Sets the indicator to reverse the anchor point.
The anchor point is initially the first point of the joined string of selected objects. This is used as the starting point for the section when it is placed on the tangency curve. It can be reversed to use the other end of the string as the starting point.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
reverseAnchorPoint | reverseanchorpoint |